:root {
  /* ===== FONTS ===== */
  --font-title: "Basteleur", serif;
  --font-body: "Josefin Sans", sans-serif;

  /* ===== FONT SIZES ===== */
  --fs-xs: 0.75rem;
  /* 12px */
  --fs-sm: 0.875rem;
  /* 14px */
  --fs-base: 1rem;
  /* 16px */
  --fs-md: 1.125rem;
  /* 18px */
  --fs-lg: 1.5rem;
  /* 24px */
  --fs-xl: 2rem;
  /* 32px */
  --fs-2xl: 2.5rem;
  /* 40px */
  --fs-3xl: 3rem;
  /* 48px */
  --fs-4xl: 4rem;
  /* 64px */


  /* ===== FONT WEIGHTS ===== */
  --fw-thin: 100;
  --fw-light: 300;
  --fw-normal: 400;
  --fw-medium: 500;
  --fw-semibold: 600;
  --fw-bold: 700;



  /* ===== PROJECT SIZE ===== */
  --height-full: 92dvh;
  --height-main: 82dvh;
  --height-line: 20dvh;

  /* ===== GAP ===== */
  --gap-small: 10px;
  --gap-medium: 32px;
  --gap-big: 100px;

  /* ===== PADDING ===== */
  --padding-big: 4dvh;
  --padding-small: 2dvh;

  /* ===== BORDER RADIUS ===== */
  --border-radius: 3dvh;


  /* ===== COLOR ===== */
  --color-primary: #E8E8E8;
  --color-white: #FFFFFF;
  --color-segondary: #000000;

  --project-gradient-homepage: linear-gradient(180deg, rgba(0, 0, 0, 0.2) 70%, rgba(0, 0, 0, 0.8) 100%);
  --project-gradient-main: linear-gradient(180deg, rgba(0, 0, 0, 0) 60%, rgba(0, 0, 0, 0.9) 100%);
  --project-gradient-line: linear-gradient(180deg, rgba(0, 0, 0, 0.2) 0%, rgba(0, 0, 0, 0.9) 100%);
  --project-gradient-profil-background: linear-gradient(60deg, #000000, #6D6D6D);
  --project-gradient-profil-front: linear-gradient(180deg, rgba(0, 0, 0, 0) 50%, rgba(0, 0, 0, 1) 100%);
}


* {
  box-sizing: border-box;
}

body,
html {
  width: 100%;
  scroll-behavior: smooth;
}


:root::-webkit-scrollbar {
  display: none;
}

ul,
li {
  margin: 0;
  padding: 0;
  list-style: none;
}

h1,
h2,
h3,
h4,
h5,
h6,
p,
span,
div {
  color: var(--color-white);
  margin: 0;
  padding: 0;
}

h1 {
  font-family: var(--font-title);
  font-weight: var(--fw-bold);
  font-size: max(1.6dvw, 16px);
}

h2 {
  font-family: var(--font-title);
  font-weight: var(--fw-bold);
  font-size: max(1.6dvw, 12px);
}

h3 {
  font-family: var(--font-title);
  font-size: min(6dvw, 128px);
  font-weight: bold;
}

h4 {
  font-family: var(--font-title);
  font-weight: var(--fw-bold);
  font-size: max(1.4dvw, 14px);
}

h5 {
  font-family: var(--font-body);
  font-weight: var(--fw-light);
  font-size: max(1.2dvw, 12px);
}

h6 {
  font-family: var(--font-title);
  font-weight: var(--fw-light);
  font-size: max(1.4dvw, 14px);
  color: var(--color-segondary);
}

p {
  font-family: var(--font-body);
  font-size: max(1dvw, 12px);
  font-weight: var(--fw-light);
  text-align: left;
  color: var(--color-segondary);
}

.text-center {
  font-weight: var(--fw-semibold);
  text-align: center;
}


a {
  font-family: var(--font-title);
  font-weight: var(--fw-bold);
  font-size: var(--fs-base);
  font-size: max(1dvw, 12px);
  text-decoration: none;
  text-align: center;

  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
  object-fit: cover;

  transition: all 250ms ease-out;
}

a:hover {
  box-shadow: 0 0px 15px rgba(0, 0, 0, 0.2);
  scale: 1.01;
}

img {
  width: 100%;
  border-radius: var(--border-radius);
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
  object-fit: cover;

  opacity: 0;
  transform: translateY(100px);
  transition: opacity 0.4s ease-out, transform 0.8s ease-out;
}

img.visible {
  opacity: 1;
  transform: translateY(0);
}



/* ANIMATION */
@view-transition {
  navigation: auto;
}

::view-transition-old(root),
::view-transition-new(root) {
  animation-duration: 800ms;
  animation-timing-function: ease-in-out;
}







@media (max-width: 768px) {
  :root {
    /* ===== GAP ===== */
    --gap-small: 4px;
    --gap-medium: 40px;
    --gap-big: 100px;
  }
}